<?php
/*
+===========================================+
|      ArabPortal V2.1.x Copyright © 2006   |
|   -------------------------------------   |
|                                           |
|            By Rafia AL-Otibi              |
|                    And                    |
|              Arab Portal Team             |
|   -------------------------------------   |
|      Web: http://www.ArabPortal.Net       |
|   -------------------------------------   |
|  Last Updated: 22/10/2006 Time: 10:00 PM  |
+===========================================+
*/

if (stristr($_SERVER['SCRIPT_NAME'], "smiles.php")) {
    die ("<center><h3>عفوا هذه العملية غير مشروعة</h3></center>");
}

class smiles
{
    function smiles ($action)
    {
        global $apt,$admin;

        $action = $apt->format_data($action);


        if($action=="")
        {
        }
        else if ($action=="list")
        {
            $admin->head();
            $admin->opentable("عرض الابتسامات","5");
            echo "<tr> ";
    
              $admin->td_msgh("الصورة");
              $admin->td_msgh("الاسم");
              $admin->td_msgh("أختصار");
              $admin->td_msgh(" تحرير");
              $admin->td_msgh("حذف ");

        	echo "</tr>";
            $result = $apt->query("SELECT * FROM rafia_smileys ORDER BY id");
            while($row=$apt->dbarray($result))
            {
                @extract($row);

                  $imgsmile = "<img src=\"../images/smiles/$smile\" alt=\"$smilename\" border=\"0\">";
                   echo "<tr> ";
                  $admin->td_msg("$imgsmile");
                  $admin->td_msg("$smilename");
                  $admin->td_msg("$code");
                  $admin->td_url("$PHP_SELF?cat=smiles&act=edit&id=$id&".$admin->get_sess(), "تحرير");
                  $admin->td_url("$PHP_SELF?cat=smiles&act=del&id=$id&".$admin->get_sess(), "حذف");
                  echo "</tr>";
        
            }
        }
        else if ($action=="add")
        {
             $admin->head();
            print "اذا قمت بنقل الصور بواسطة ftp فقط اكتب اسم الصورة  بدون توضيح المجلد  <br> مع الانتباه ان ترفع الصور في مجلد smiles
            <br> واذا تم رفع الصورة من لوحة التحكم يجب ان تعطي المجلد smiles ترخيص 777 ثم قم برفع الصورة وترك خانة اسم الصورة فارغ ";
            $admin->openformdata("$PHP_SELF?cat=smiles&act=insert&".$admin->get_sess());
            $admin->opentable("اضافة ابتسامات");
            $admin->inputtext('اسم الايقونة','smilename','');
            $admin->inputtext('اختصار الابتسامة','code','');
            $admin->inputtext('اسم الملف بالامتداد','smile','');
            $admin->inputfile("او قم برفع الابتسامة لمجلد الابتسامات");
            $admin->closetable();
            $admin->submit("اضف");
            $admin->closeform ();
        }
        else if ($action=="insert")
        {
            $upload = $_FILES["name_file"];
            @extract($_POST);
            if (is_uploaded_file($upload['tmp_name']))
            {
                $tmp_name =  $upload["tmp_name"];
                $filename  = "../images/smiles/".$upload["name"];
                if(move_uploaded_file($tmp_name, $filename))
                {
                   $smile = $upload["name"];
                }
            }

           $result = $apt->query("INSERT INTO rafia_smileys
                                  (smilename,code,smile) VALUES
                                  ('$smilename','$code','$smile')");
             if ($result)
             {
                 $admin->windowmsg("تمت عملية الاضافة بنجاح");
             }
        }
        else if ($action=="edit")
        {

            $id = $apt->setid('id');
            @extract($_POST);
            $admin->head();
            $result=$apt->query("select * from rafia_smileys where id='$id'");
            $smiles=$apt->dbarray($result);
            extract($smiles);
            $admin->openform("$PHP_SELF?cat=smiles&act=update&id=$id&".$admin->get_sess());
            $admin->opentable("تحرير ");
            $admin->inputtext('اسم الايقونة','smilename',$smilename);
            $admin->inputtext('إختصار الايقونة','code',$code);
            $admin->inputtext('الملف','smile',$smile);
            $admin->closetable();
            $admin->submit  ("تحرير");

        }
        else if ($action=="del")
        {
            $id = $apt->setid('id');
            
            $result = $apt->query("delete from  rafia_smileys where id='$id'");

            if ($result)
            {
               $admin->windowmsg("<p>تم حذف الابتسامة </p>");
            }
        }
        else if($action=="update")
        {
            $id = $apt->setid('id');
            @extract($_POST);
            $result = $apt->query("update rafia_smileys set smilename='$smilename',
                                                code='$code',
                                                smile='$smile'
                                                where id='$id'");

            if ($result)
            {
               $admin->windowmsg("<p>تم التحرير بنجاح </p>");
            }
        }
    }
}
?>
